Subject: [bug#53827] [PATCH] Add a TLDR entry to the cookbook for building Guix from Git.

From: Pierre-Henry Fröhring <[email-masked]>
Date: Wed, 16 Feb 2022 16:50:26 +0100

Envoyé de mon iPhone

> Le 16 févr. 2022 à 14:36, Ludovic Courtès <[email-masked]> a écrit :
> 
> Hi,
> 
> Pierre-Henry Fröhring <[email-masked]> skribis:
> 
>> I try to make Guix our default package manager.  It's really wonderful
>> so far.  To that end, I need TLDRs so that less experienced
>> developpers can get going /fast/.  Deeper understanding will come in
>> time.
>> 
>> I also need to convince that Guix is /easy/ to third parties.  I need
>> to /show/ that /installing/, /configuring/ and /using/ Guix is fast
>> and efficient.  I found out that TLDRs are great tools for that.
>> 
>> I need to have small TLDRs so that when things go wrong, it's easy to
>> know where and fix either the TLDR or the manual steps. Also,
>> sometimes, things go wrong and are not documented. /E.g./ setting
>> ~LC_ALL=C.UTF-8~ will make Guix complain even after installing ~guix
>> install glibc-utf8-locales~.  I can factor this knowledge inside these
>> TLDR fast.
> 
> No argument here, I very much understand why as a user or potential
> contributor one would want to-the-point documentation as a first step.
> 
> I also want to be able to understand what I’m doing though—maybe not at
> first, but soon enough.  That’s why I don’t feel comfortable giving a
> raw list of commands without explanations.
Agreed.
> 
> But maybe we can have both, with cross references.
Yes! It’s implicit in our workflow, the documentation _is_ the reference.
> Thoughts?
Yes. I can add cross references in the patch and in the so called transient.blog
> Ludo’.